#!/bin/bash
# Check for a Solaris install

LD_OPTIONS=$LD_OPTONS" "
if uname -a |grep -i SunOS 
then {
echo "SunOS - Checking version "
  if uname -a |grep -i "5."
  then {
  	echo "Aha, you have Solaris 2 (SunOS 5.x)... " 
	echo "Checking X Server  (WIne won't work with stock Sun Xserver) "
	echo "Checking for 3rd party X server "
	XSERVER_LOCATION=/usr/X11R6
	if test -d $XSERVER_LOCATION
	then {
		found Third Party Xserver at $XSERVER_LOCATION
		LD_OPTIONS=$LD_OPTIONS" -R $XSERVER_LOCATION/lib "
		CONFARGS=$CONFARGS" --with-x-includes=$XSERVER_LOCATION/include --with-x-libraries=XSERVER_LOCATION/lib"
	echo
	}
	fi
      
      
      if [ -d /opt/sfw/cups ]
      then {
      
      echo "You have cups installed in /opt/sfw/cups from the companion CD"
     echo "include cups support from here  ? "
      conf_yesno_answer "(yes/no) "
      if [ "$ANSWER" = "yes" ]
      then {
	echo "Including /opt/sfw/cups/include & /opt/sfw/cups/lib "
 		CFLAGS=$CFLAGS" -I /opt/sfw/cups/include "
		LDFLAGS=$LDFLAGS " -L /opt/sfw/cups/lib"
    	}
	else {
  		echo "Not using Companion CD Cups "
	}
	fi
 	}
	fi
     echo "Solaris binary packages usually place wine in /opt/cfw/wine"
     echo "but the Standard place for wine as predefined in configure is usually /usr/local "
     echo "Do you want wine in /opt/cfw/wine ? "
      conf_yesno_answer "(yes/no) "
      if [ "$ANSWER" = "yes" ]
      then {
	echo "Placing wine in /opt/cfw/wine "
 		CONFARGS=$CONFARGS" --prefix=/opt/cfw/wine "
    	}
	else {
  		echo "Placing wine in the default place "
	}
	fi
  echo " Solaris Build Configuration "
  echo " configure options:  $CONFARGS "
  echo " Linker options: $LD_OPTIONS "
  
  }
  fi
}
fi
